Bug 89993 - up2date -u shouldn't create rcN.d/SnnFoo
up2date -u shouldn't create rcN.d/SnnFoo
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2003-04-30 17:39 EDT by gregrwm
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 16:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gregrwm 2003-04-30 17:39:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
update -u currently will do the equivalent of chkconfig --add <package> for any
package which gets updated.  this isn't really what users want.

entries in /etc/init.d/rcN.d should not be added by up2date if they are not
already there (nor if they already are, duh).

perhaps this is really a rpm -U issue?  rpm -i should probably create those
entries, but rpm -U probably should not.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install rh7.3
2.chconfig --del <package>
3.up2date <same package> reinserts the chkconfig softlinks in rcN.d/

Additional info:
Comment 1 Adrian Likins 2003-04-30 19:12:59 EDT
Thats a general packaging issue. Installing the packages by hand
would do the same thing. Reassigning to the distro component
for Red Hat Linux. 
Comment 2 gregrwm 2003-05-06 11:12:38 EDT
that does beg the question, actually.  running rpm by hand implies an
expectation that things will be freshly installed.  when we run up2date, we
would rather expect that our configuration will not be corrupted.

it may be correct that it is a rpm issue, but it's impact on up2date users is
far more serious than it's impact at installation time.

i run up2date daily overnight.  this is the only way to keep ahead of the script
kiddies.  with this bug, i need to daily monitor if my rcN.d directories have
been corrupted by up2date.

Note You need to log in before you can comment on or make changes to this bug.